| Version: 3.2.5

Classes | Macros | Enumerations | Variables
splitter.h File Reference

## Classes

class | wxSplitterWindow
| This class manages up to two subwindows. More...
class | wxSplitterEvent
| This class represents the events generated by a splitter control. More...

## Macros

#define | wxSP_NOBORDER 0x0000
#define | wxSP_THIN_SASH 0x0000
#define | wxSP_NOSASH 0x0010
#define | wxSP_PERMIT_UNSPLIT 0x0040
#define | wxSP_LIVE_UPDATE 0x0080
#define | wxSP_3DSASH 0x0100
#define | wxSP_3DBORDER 0x0200
#define | wxSP_NO_XP_THEME 0x0400
#define | wxSP_BORDER wxSP_3DBORDER
#define | wxSP_3D (wxSP_3DBORDER | wxSP_3DSASH)

## Enumerations

enum | wxSplitMode { wxSPLIT_HORIZONTAL = 1 , wxSPLIT_VERTICAL }
enum | { wxSPLIT_DRAG_NONE , wxSPLIT_DRAG_DRAGGING , wxSPLIT_DRAG_LEFT_DOWN }

## Variables

wxEventType | wxEVT_SPLITTER_SASH_POS_CHANGED
wxEventType | wxEVT_SPLITTER_SASH_POS_CHANGING
wxEventType | wxEVT_SPLITTER_SASH_POS_RESIZE
wxEventType | wxEVT_SPLITTER_DOUBLECLICKED
wxEventType | wxEVT_SPLITTER_UNSPLIT

## Macro Definition Documentation

## ◆ wxSP_3D

#define wxSP_3D (wxSP_3DBORDER | wxSP_3DSASH)

## ◆ wxSP_3DBORDER

#define wxSP_3DBORDER 0x0200

## ◆ wxSP_3DSASH

#define wxSP_3DSASH 0x0100

## ◆ wxSP_BORDER

#define wxSP_BORDER wxSP_3DBORDER

## ◆ wxSP_LIVE_UPDATE

#define wxSP_LIVE_UPDATE 0x0080

## ◆ wxSP_NO_XP_THEME

#define wxSP_NO_XP_THEME 0x0400

## ◆ wxSP_NOBORDER

#define wxSP_NOBORDER 0x0000

## ◆ wxSP_NOSASH

#define wxSP_NOSASH 0x0010

## ◆ wxSP_PERMIT_UNSPLIT

#define wxSP_PERMIT_UNSPLIT 0x0040

## ◆ wxSP_THIN_SASH

#define wxSP_THIN_SASH 0x0000

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
wxSPLIT_DRAG_NONE |
wxSPLIT_DRAG_DRAGGING |
wxSPLIT_DRAG_LEFT_DOWN |

## ◆ wxSplitMode

enum wxSplitMode

Enumerator
wxSPLIT_HORIZONTAL |
wxSPLIT_VERTICAL |

## Variable Documentation

## ◆ wxEVT_SPLITTER_DOUBLECLICKED

wxEventType wxEVT_SPLITTER_DOUBLECLICKED

## ◆ wxEVT_SPLITTER_SASH_POS_CHANGED

wxEventType wxEVT_SPLITTER_SASH_POS_CHANGED

## ◆ wxEVT_SPLITTER_SASH_POS_CHANGING

wxEventType wxEVT_SPLITTER_SASH_POS_CHANGING

## ◆ wxEVT_SPLITTER_SASH_POS_RESIZE

wxEventType wxEVT_SPLITTER_SASH_POS_RESIZE

## ◆ wxEVT_SPLITTER_UNSPLIT

wxEventType wxEVT_SPLITTER_UNSPLIT